TestNs\MyApp\SalaryComponentsType:
    properties:
        netSalary:
            expose: true
            access_type: public_method
            serialized_name: netSalary
            accessor:
                getter: getNetSalary
                setter: setNetSalary
            xml_attribute: true
            type: float
        grossSalary:
            expose: true
            access_type: public_method
            serialized_name: grossSalary
            accessor:
                getter: getGrossSalary
                setter: setGrossSalary
            xml_attribute: true
            type: float
        salaryCost:
            expose: true
            access_type: public_method
            serialized_name: salaryCost
            accessor:
                getter: getSalaryCost
                setter: setSalaryCost
            xml_attribute: true
            type: float
        senorityChecking:
            expose: true
            access_type: public_method
            serialized_name: senorityChecking
            accessor:
                getter: getSenorityChecking
                setter: setSenorityChecking
            xml_attribute: true
            type: string
        senorityMaximumAllowedAmount:
            expose: true
            access_type: public_method
            serialized_name: senorityMaximumAllowedAmount
            accessor:
                getter: getSenorityMaximumAllowedAmount
                setter: setSenorityMaximumAllowedAmount
            xml_attribute: true
            type: float
        minimumNumberOfRequiredParts:
            expose: true
            access_type: public_method
            serialized_name: minimumNumberOfRequiredParts
            accessor:
                getter: getMinimumNumberOfRequiredParts
                setter: setMinimumNumberOfRequiredParts
            xml_attribute: true
            type: float
        salary:
            expose: true
            access_type: public_method
            serialized_name: salary
            accessor:
                getter: getSalary
                setter: setSalary
            xml_list:
                inline: true
                entry_name: salary
            type: array<TestNs\MyApp\SalaryComponentType>
